
Redmine - Patch #5535

Assigned to issuelist filter: added <nobody> value

2010-05-16 21:15 - Radek Antoniuk

Status: New Start date: 2010-05-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Description

the filter in the issue list should list <nobody> as well, to make it possible to filter out issues that are assigned to user X OR not

assigned at all

Related issues:

Related to Redmine - Feature #5115: Assignee & Target version issuelist filte... New 2010-03-18

Has duplicate Redmine - Feature #28924: Issues filter: Adding a <<Nobody>> sp... Closed

History

#1 - 2010-07-09 09:34 - Vitaly Klimov

- File Ability_to_use_nobody_in_Assigned_to_field_filter.patch added

- Assignee set to Jean-Philippe Lang

I have created quick patch to query.rb to fix this issue, please find it attached. Please note, that i tried to keep modifications tiny, so 'author_id' field

affected as well.

#2 - 2010-07-15 13:08 - Nikolay Kotlyarov

+1

now you can not combine "asssigned to nobody" filter with "assigned to me"

#3 - 2010-07-15 14:48 - Nikolay Kotlyarov

Vitaly Klimov wrote:

'author_id' field affected as well.

 Can you explain how was it affected please?

#4 - 2010-07-25 12:49 - Jean-Baptiste Barth

- Assignee deleted (Jean-Philippe Lang)

Nikolay Kotlyarov wrote:

Can you explain how was it affected please?

 It's "affected" since author and assignee use the same list of possible values. But it's not the correct behavior, since author cannot be none, I think it

would lead to an other defect :)

I'd prefer a generic solution which would consist in having a "<< none >>" option in some fields : assigned to, target version, category, etc. But only

when it makes sense.

#5 - 2011-05-06 18:05 - pasquale [:dedalus]

+1

#6 - 2011-05-09 17:47 - Maxim Krušina

Please can be this functionality merged into trunk?

#7 - 2011-11-24 21:18 - Mischa The Evil

- Subject changed from assigned to nobody filter to Assigned to issuelist filter: added <nobody> value
#8 - 2011-11-24 21:46 - Radek Antoniuk

nice reaction time...

it would be also great to have an "auto-assign" feature without doing categories...

#9 - 2018-04-30 19:40 - Hashem Nasarat

Wished I had this feature today! What can we do to pick this up again?

#10 - 2018-06-01 01:34 - Go MAEDA

- Has duplicate Feature #28924: Issues filter: Adding a <<Nobody>> special entry to the user list added

#11 - 2018-06-01 01:43 - Go MAEDA

- Category changed from UI to Issues filter

#12 - 2018-08-30 08:51 - Marco Shima

+2 At least two users at our company wish this feature. This ticket was created 8 years ago, a solution seems to be attached, so maybe priority

should be reconsidered?

#13 - 2018-08-31 11:46 - Yuuki NARA

+1

#14 - 2018-08-31 11:57 - Marius BĂLTEANU

Which will be the difference between "Assignee None" and "Assignee Is <nobody>"?

#15 - 2018-08-31 12:25 - Bernhard Rohloff

Marius BALTEANU wrote:

Which will be the difference between "Assignee None" and "Assignee Is <nobody>"?

 I think the difference is that with <nobody> you can achieve a kind of OR combination.

Assigned to somebody OR nobody...

I also can't imagine a useful situation for that but there seem to be one.

Perhaps someone of the folks who back this feature could explain its specific use case.

#16 - 2018-08-31 14:42 - Radek Antoniuk

wow, 8 years, good that I'm still alive :-) The difference is already explained in the description of the ticket.

The usecase I don't remember right now, sorry. I guess one could be: "I want to see issues assigned to me (that I'm working on) + the queue (so I can

see what's not been picked up yet and I could pick up)"

#17 - 2018-08-31 14:45 - Marius BĂLTEANU

Radek Antoniuk wrote:

wow, 8 years, good that I'm still alive :-) The difference is already explained in the description of the ticket.

The usecase I don't remember right now, sorry. I guess one could be: "I want to see issues assigned to me (that I'm working on) + the queue (so

I can see what's not been picked up yet and I could pick up)"

 Got it, thanks.

Files

Ability_to_use_nobody_in_Assigned_to_field_filter.patch 1.42 KB 2010-07-09 Vitaly Klimov
